Subject: Re: bug#47995: 11.91; Same as Bug 698680 - Error: /typecheck in --setfileposition--

From: Arash Esbati <[email-masked]>
Date: Tue, 27 Apr 2021 16:43:06 +0200

Hi Olivier,

Olivier Ramare <[email-masked]> writes:

>   Many thanks for your mail.

Sure, you're welcome.  In future, please always keep [email-masked]
in CC, thanks.

> Yes I run Focal Fossa and Auctex is still the old version --
>
> The problem is now solved!

Great.

> Some remarks.
>
> So I deleted Ubuntu-auctex and updated things with elpa, and the
> problem remains. Official mail below but two remarks:
>
> -- When upgrading to Auctex version gnu 13.0.8, I ran into the problem:
>
> https://emacs.stackexchange.com/questions/62554/wrong-type-argument-number-or-marker-p-nil-after-upgrading-auctex
>
> -- Auctex version 12.0.1 had the initial problem.
>
> After some battling I did exactly as you suggested:
>
> removed package version 13.0.8 through melpa *and exited emacs*
>
> removed package version 12.0.1 through melpa *and exited emacs*
>
> reinstalled package version 13.0.8 through melpa
>
> and everything looks smooth!
>
> This sounds somewhat like magic words, I'm very surprised at this
> necessity of exiting emacs each time, but here it is.

Yes, it seems ELPA installations can run into problems if you're
installing 2 versions of a package which are not compatible.  I saw a
similar report for Tramp as well[1], not sure if the issues are
relevant, though.

Best, Arash

Footnotes:
[1]  https://lists.gnu.org/archive/html/bug-gnu-emacs/2021-04/msg01458.html